﻿Option Strict On
Option Explicit On

Imports System.IO

#Region "DataSet Relation"
'1 Modell kann +1 Artikel haben         1->n
'1 Modell kann =1 Lieferant haben       1->1
'1 Modell kann +1 Aufträge haben        1->n

'1 Artikel kann +1 Modelle haben        1->n
'1 Artikel kann =1 Lieferant haben      1->1
'1 Artikel kann +1 Aufträge haben       1->n

'1 Lieferant kann +1 Artikel haben      1->n
'1 Lieferant kann +1 Modelle haben      1->n
'1 Lieferant kann +1 Aufträge haben     1->n

'1 Auftrag kann +1 Artikel haben        1->n
'1 Auftrag kann =1 Lieferant haben      1->1
'1 Auftrag kann =1 Modell haben         1->1
#End Region

Public Class FrmMain

    Public _Inventory As New FileInfo("RehaWerkstatt.xml")

    Public Sub SaveDataTableChanges(
                                   ByVal FormName As Form,
                                   ByVal DataSetName As DataSet,
                                   ByVal FileName As FileInfo)
        FormName.Validate()
        DataSetName.WriteXml(FileName.FullName)
        DataSetName.AcceptChanges()
    End Sub

    Public Sub LoadDataTable(
                            ByVal DataSetName As DataSet,
                            ByVal FileName As FileInfo)
        DataSetName.Clear()
        If FileName.Exists Then DataSetName.ReadXml(FileName.FullName)
    End Sub

    Private Sub BtnLoad_Click(sender As Object, e As EventArgs) Handles BtnLoad.Click
        LoadDataTable(Me.RehaWerkstatt, _Inventory)
    End Sub

    Private Sub BtnSave_Click(sender As Object, e As EventArgs) Handles BtnSave.Click
        SaveDataTableChanges(Me, Me.RehaWerkstatt, _Inventory)
    End Sub

    Private Sub BtnLieferant_Click(sender As Object, e As EventArgs) Handles BtnLieferant.Click
        FrmLieferant.Show(Me)
    End Sub

    Private Sub BtnArtikel_Click(sender As Object, e As EventArgs) Handles BtnArtikel.Click

    End Sub
End Class


'Option Strict On
'Option Explicit On

'Imports System.IO

'Public Class frmMain

'    Private _Inventory As New FileInfo("Inventar.xml")

'    Private Sub BtnLoad_Click(sender As Object, e As EventArgs) Handles BtnLoad.Click
'        Inventar.Clear()
'        If _Inventory.Exists Then Inventar.ReadXml(_Inventory.FullName)
'        ImportSupplierToTable()
'    End Sub

'    Private Sub BtnClose_Click(sender As Object, e As EventArgs) Handles BtnClose.Click
'        If Not Me.Inventar.HasChanges Then Return
'        Save()
'        Me.Close()
'    End Sub

'    Private Sub BtnSave_Click(sender As Object, e As EventArgs) Handles BtnSave.Click
'        Me.Validate()
'        Save()
'    End Sub

'    Private Sub Save()
'        Me.Validate()
'        Inventar.WriteXml(_Inventory.FullName)
'        Inventar.AcceptChanges()
'    End Sub

'    Private Sub ImportSupplierToTable()
'        Dim i As Int32

'        For i = 0 To WorkplaceBindingSource.Count - 1
'            WorkplaceBindingSource.Position = i
'            Dim SoftwareSupplierID = DirectCast(DirectCast(WorkplaceBindingSource.Current, DataRowView).Row, Inventar.WorkplaceRow).SoftwareRow.SupplierID
'            Dim SoftwareSupplier = Inventar.Supplier.First(Function(x) x.ID = SoftwareSupplierID)
'            Dim HardwareSupplierID = DirectCast(DirectCast(WorkplaceBindingSource.Current, DataRowView).Row, Inventar.WorkplaceRow).HardwareRow.SupplierID
'            Dim HardwareSupplier = Inventar.Supplier.First(Function(x) x.ID = HardwareSupplierID)

'            With WorkplaceDGV.Rows(WorkplaceDGV.CurrentCell.RowIndex)
'                .Cells(4).Value = SoftwareSupplier.Name
'                .Cells(6).Value = HardwareSupplier.Name
'            End With
'        Next i
'    End Sub

'    Private Sub BtnDelete_Click(sender As Object, e As EventArgs) Handles BtnDelete.Click

'    End Sub

'End Class